summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author James Geboski2012-04-20 22:13:04 +0200
committer dsomero2012-04-20 22:13:04 +0200
commit9a9079626150d024a3ce5559a784a2a1fe91f8e5 (patch)
tree5441d1dc1d4f12e555160d2becfd89752b00e097 /games
parent568cd51b4caf658740124592cd1c7eb5ec983039 (diff)
downloadslackbuilds-9a9079626150d024a3ce5559a784a2a1fe91f8e5.tar.gz
games/xonotic: Added (First-person shooter)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/xonotic/README6
-rw-r--r--games/xonotic/doinst.sh3
-rw-r--r--games/xonotic/slack-desc19
-rw-r--r--games/xonotic/xonotic.SlackBuild112
-rw-r--r--games/xonotic/xonotic.desktop8
-rw-r--r--games/xonotic/xonotic.info10
6 files changed, 158 insertions, 0 deletions
diff --git a/games/xonotic/README b/games/xonotic/README
new file mode 100644
index 0000000000..0611d9c7e6
--- /dev/null
+++ b/games/xonotic/README
@@ -0,0 +1,6 @@
+Xonotic is a free (GPL), fast-paced first-person shooter that works
+on Windows, OS X and Linux. The project is geared towards providing
+addictive arena shooter gameplay which is all spawned and driven by
+the community itself. Xonotic is a direct successor of the Nexuiz
+project with years of development between them, and it aims to become
+the best possible open-source FPS (first-person-shooter) of its kind.
diff --git a/games/xonotic/doinst.sh b/games/xonotic/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/games/xonotic/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/xonotic/slack-desc b/games/xonotic/slack-desc
new file mode 100644
index 0000000000..55c4f5eeed
--- /dev/null
+++ b/games/xonotic/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+xonotic: Xonotic (First-person shooter)
+xonotic:
+xonotic: Xonotic is a free (GPL), fast-paced first-person shooter that works
+xonotic: on Windows, OS X and Linux. The project is geared towards providing
+xonotic: addictive arena shooter gameplay which is all spawned and driven by
+xonotic: the community itself. Xonotic is a direct successor of the Nexuiz
+xonotic: project with years of development between them, and it aims to become
+xonotic: the best possible open-source FPS (first-person-shooter) of its kind.
+xonotic:
+xonotic: Homepage: http://www.xonotic.org/
+xonotic:
diff --git a/games/xonotic/xonotic.SlackBuild b/games/xonotic/xonotic.SlackBuild
new file mode 100644
index 0000000000..c48dc088e7
--- /dev/null
+++ b/games/xonotic/xonotic.SlackBuild
@@ -0,0 +1,112 @@
+#!/bin/sh
+
+# Slackware build script for xonotic
+
+# Copyright 2012 James Geboski <jgeboski@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=xonotic
+VERSION=${VERSION:-0.6.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -p $TMP/$PRGNAM-$VERSION
+cd $TMP/$PRGNAM-$VERSION
+unzip $CWD/$PRGNAM-$VERSION.zip
+cd Xonotic
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p \
+ $PKG/usr/bin \
+ $PKG/usr/share/xonotic/data \
+ $PKG/usr/share/{applications,pixmaps}
+
+cd source/fteqcc
+ make CFLAGS="-Wall $SLKCFLAGS"
+ FTEQCC=$(pwd)/fteqcc.bin
+cd -
+
+cd source/qcsrc
+ make FTEQCCFLAGS_WATERMARK="" FTEQCC="$FTEQCC"
+cd -
+
+cd source/darkplaces
+ make release \
+ CFLAGS_EXTRA="$SLKCFLAGS" \
+ DP_FS_BASEDIR="/usr/share/xonotic"
+ install -m 755 darkplaces-sdl $PKG/usr/bin/xonotic-glx
+ install -m 755 darkplaces-glx $PKG/usr/bin/xonotic-sdl
+cd -
+
+cp data/* $PKG/usr/share/xonotic/data
+
+install -m 644 $CWD/xonotic.desktop $PKG/usr/share/applications
+install -m 644 misc/logos/xonotic_icon.svg $PKG/usr/share/pixmaps/xonotic.svg
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING Docs/* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/xonotic/xonotic.desktop b/games/xonotic/xonotic.desktop
new file mode 100644
index 0000000000..81badc94fa
--- /dev/null
+++ b/games/xonotic/xonotic.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Type=Application
+Name=Xonotic
+Categories=Game;
+Exec=xonotic-sdl
+Icon=xonotic
+Terminal=false
+StartupNotify=false
diff --git a/games/xonotic/xonotic.info b/games/xonotic/xonotic.info
new file mode 100644
index 0000000000..02f20997a6
--- /dev/null
+++ b/games/xonotic/xonotic.info
@@ -0,0 +1,10 @@
+PRGNAM="xonotic"
+VERSION="0.6.0"
+HOMEPAGE="http://www.xonotic.org/"
+DOWNLOAD="http://dl.xonotic.org/xonotic-0.6.0.zip"
+MD5SUM="2dac2c1ad4388255d3ad4d038dea3f77"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="James Geboski"
+EMAIL="jgeboski@gmail.com"
+APPROVED="dsomero"